From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/warden/
Date: Sat, 16 Apr 2022 07:08:28 +0000 (UTC) [thread overview]
Message-ID: <1650090587.dbc0418d2af254bf60eb835d7d85b290a0fb2d85.graaff@gentoo> (raw)
commit: dbc0418d2af254bf60eb835d7d85b290a0fb2d85
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 16 06:29:40 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Apr 16 06:29:47 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dbc0418d
dev-ruby/warden: update EAPI 7 -> 8, add ruby30
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/warden/warden-1.2.9-r1.ebuild | 28 ++++++++++++++++++++++++++++
1 file changed, 28 insertions(+)
diff --git a/dev-ruby/warden/warden-1.2.9-r1.ebuild b/dev-ruby/warden/warden-1.2.9-r1.ebuild
new file mode 100644
index 000000000000..5806b7b14cd5
--- /dev/null
+++ b/dev-ruby/warden/warden-1.2.9-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="General Rack Authentication Framework"
+HOMEPAGE="https://github.com/wardencommunity/warden"
+SRC_URI="https://github.com/wardencommunity/warden/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/rack-2.0.9:*"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2022-04-16 7:08 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-16 7:08 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-31 8:05 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/warden/ Hans de Graaff
2023-07-14 6:47 Hans de Graaff
2023-07-14 6:47 Hans de Graaff
2023-02-04 7:08 Hans de Graaff
2022-06-09 5:01 Hans de Graaff
2022-06-09 5:01 Hans de Graaff
2020-09-19 5:59 Hans de Graaff
2020-09-01 5:19 Hans de Graaff
2020-06-06 8:04 Hans de Graaff
2020-06-06 8:04 Hans de Graaff
2019-07-09 17:09 Hans de Graaff
2019-01-14 16:36 Hans de Graaff
2018-12-31 6:58 Hans de Graaff
2018-11-16 6:30 Hans de Graaff
2018-09-03 5:53 Hans de Graaff
2018-03-05 6:28 Hans de Graaff
2018-02-21 7:36 Hans de Graaff
2017-01-29 7:30 Hans de Graaff
2016-12-16 21:06 Hans de Graaff
2016-12-16 21:06 Hans de Graaff
2016-03-27 21:54 Manuel Rüger
2016-02-01 6:57 Hans de Graaff
2016-01-31 14:43 Hans de Graaff
2015-12-10 6:59 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1650090587.dbc0418d2af254bf60eb835d7d85b290a0fb2d85.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox